islands = {}
size = 500

function pickMax(a, b)
	if a > b then
		return a
	else
		return b
	end
end

function noise(posX,posY)
	rx = love.math.random(500)
	ry = love.math.random(500)
	rz = love.math.random(500)
	local grid = {}
	local scale = 10
	for x = posX, (posX + size) do
		for y = posY, (posY + size) do
			distX =	math.abs(x-(size * 0.5)-posX)
			distY = math.abs(y-(size * 0.5)-posY)
			dist = math.sqrt((distX*distX) + (distY*distY)) -- circular
			maxW = size * 0.5 - 10
			delta = dist / maxW
			gradient = delta * delta

			grid[x] = grid[x] or {}
			xCoord = x/size * scale
			yCoord = y/size * scale
			zCoord = scale
			Noise = love.math.noise(xCoord+rx,yCoord+ry, zCoord+rz)
			grid[x][y] = Noise * pickMax(0, 1-gradient)
		end
	end
	local rn = love.math.random(200, 450)/1000
	newIsland = {
					x = posX, y = posY,
					level = rn,
					Noise = n,
					g = grid
				}
	table.insert(islands, newIsland)
end

function drawNoise()
	for i, island in ipairs(islands) do
		love.graphics.print("Number of islands: " .. #islands, 10,10)
		for x = island.x, #island.g do
			for y = island.y, #island.g[x] do
				if island.g[x][y] > island.level then
					love.graphics.setColor(0,1,0,1)
					love.graphics.rectangle("fill", screenX + x, screenY + y,1,1)
					love.graphics.setColor(1,1,1,1)
				end
			end
		end
	end	
end